Name: sane-pygtk
Version: 0.1.1
Release: alt0.1
Summary: Minimal SANE frontend
License: %bsdstyle
Group: Graphics
URL: http://%name.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: %name.ru.po
Source2: %name.uk.po
Source11: sane-pygtk_16.png
Source12: sane-pygtk_32.png
Source13: sane-pygtk_48.png
Source14: sane-pygtk_64.png
Patch: %name-0.1.1-default_mode.patch
BuildArch: noarch
Provides: gsane = %version-%release

# Automatically added by buildreq on Thu Apr 17 2008
BuildRequires: python-devel python-module-pygtk-libglade python-module-sane python-modules-encodings
BuildRequires: rpm-build-licenses

%description
sane-pygtk is a minimalistic SANE (Scanner Access Now Easy) graphical
front end.


%prep
%setup
%patch -p1
install -m 0644 %SOURCE1 ./ru.po
install -m 0644 %SOURCE2 ./uk.po
install -d -m 0755 ./{ru,uk}
subst 's/^\(Exec=\).*$/\1%name/;s/^\(Icon=\).*$/\1%name.png/' %name.desktop
iconv -f cp1251 -t utf-8 >> %name.desktop <<__MENU__
GenericName=%name
Name[uk]=   
Comment[uk]=    .
__MENU__


%build
%__python setup.py build
for l in ru uk; do
    msgfmt -o $l/%name.mo $l.po
done


%install
install -d -m 0755 %buildroot{%_bindir,%_datadir/%name/glade,%_desktopdir}
install -m 0755 {build/scripts-%__python_version/,%buildroot%_bindir}/%name
ln -sf %name %buildroot%_bindir/gsane
install -m 0644 %name.glade %buildroot%_datadir/%name/glade/
install -m 0644 %name.desktop %buildroot%_desktopdir/
for l in he ru uk; do
    install -D -m 0644 $l/%name.mo %buildroot%_datadir/locale/$l/LC_MESSAGES/%name.mo
done
install -D -m 0644 %SOURCE11 %buildroot%_miconsdir/%name.png
install -D -m 0644 %SOURCE12 %buildroot%_niconsdir/%name.png
install -D -m 0644 %SOURCE13 %buildroot%_liconsdir/%name.png
install -D -m 0644 %SOURCE14 %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

%find_lang %name


%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%doc README
%_bindir/*
%_datadir/%name
%_desktopdir/*
%_iconsdir/hicolor/*/apps/*


%changelog
* Wed Jun 18 2008 Led <led@altlinux.ru> 0.1.1-alt0.1
- 0.1.1
- updated %name-0.1.1-default_mode.patch

* Fri Apr 18 2008 Led <led@altlinux.ru> 0.1.0-alt0.2
- added %name-0.1.0-default_mode.patch

* Thu Apr 17 2008 Led <led@altlinux.ru> 0.1.0-alt0.1
- initial build
